FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Packaging

 
 
LinkBack Thread Tools
 
Old 05-04-2012, 01:12 PM
Rex Dieter
 
Default Reusing the same git module for different compat versions?

On 05/04/2012 05:47 AM, Michel Alexandre Salim wrote:

Does the FPC allow having a single 'compat-vala' Git module, that
would target the API level one lower than the one shipped in the main
vala package, for every supported Fedora release?


I'm ok with that

-- rex
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 05-06-2012, 03:11 AM
Michel Alexandre Salim
 
Default Reusing the same git module for different compat versions?

On 05/04/2012 08:12 PM, Rex Dieter wrote:
> On 05/04/2012 05:47 AM, Michel Alexandre Salim wrote:
>> Does the FPC allow having a single 'compat-vala' Git module, that
>> would target the API level one lower than the one shipped in the main
>> vala package, for every supported Fedora release?
>
> I'm ok with that
>
Thanks; in addition, my reviewer came up with an example of an
unversioned compat package (libwbxml-compat), so it looks like there's
also precedent for this.

https://bugzilla.redhat.com/show_bug.cgi?id=787193



--
Michel Alexandre Salim
Fedora Project Contributor: http://fedoraproject.org/

Email: salimma@fedoraproject.org | GPG key ID: A36A937A
Jabber: hircus@jabber.ccc.de | IRC: hircus@irc.freenode.net

() ascii ribbon campaign - against html e-mail
/ www.asciiribbon.org - against proprietary attachments
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 05-06-2012, 03:43 AM
Ralf Corsepius
 
Default Reusing the same git module for different compat versions?

On 05/06/2012 05:11 AM, Michel Alexandre Salim wrote:

On 05/04/2012 08:12 PM, Rex Dieter wrote:

On 05/04/2012 05:47 AM, Michel Alexandre Salim wrote:

Does the FPC allow having a single 'compat-vala' Git module, that
would target the API level one lower than the one shipped in the main
vala package, for every supported Fedora release?


I'm ok with that


Such unversioned "compat-packages" would implement "rolling
compatibility", i.e. would not provide "long-term compatibility with a
specific version to end-users", but would only provide a "'one fedora
release cycle' delay to Fedora packagers".


I do not see much sense in this and would prefer such packages to be
banned.



Thanks; in addition, my reviewer came up with an example of an
unversioned compat package (libwbxml-compat), so it looks like there's
also precedent for this.
Well, you can probably find precedences for all kind of packaging
mistakes in Fedora ...


Ralf
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 

Thread Tools




All times are GMT. The time now is 10:38 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org